//---------------------------------------------------------------------------

#ifndef Unit1H
#define Unit1H
//---------------------------------------------------------------------------
#include <System.Classes.hpp>
#include <Vcl.Controls.hpp>
#include <Vcl.StdCtrls.hpp>
#include <Vcl.Forms.hpp>
#include <Vcl.ExtCtrls.hpp>
#include <VCLTee.Chart.hpp>
#include <VCLTee.TeEngine.hpp>
#include <VCLTee.TeeProcs.hpp>
#include "VCLTee.TeeSeriesTextEd.hpp"
#include <VCLTee.Series.hpp>
#include <VCLTee.TeeURL.hpp>
//---------------------------------------------------------------------------
class TMainForm : public TForm
{
__published:
	TChart *MainChart;
	TPanel *Panel1;
	TPointSeries *SeriesData;
	TButton *BtUseMinMaxProp;
	TCheckBox *CBAutomaticYAxis;
	TSeriesTextSource *SeriesTextSource1;
	TButton *BtUseCalcPosPoint;
	TButton *BtTestYAxisRange;
	TCheckBox *CBAdjustMaxMin;
	void __fastcall BtUseMinMaxPropClick(TObject *Sender);
	void __fastcall CBAutomaticYAxisClick(TObject *Sender);
	void __fastcall FormCreate(TObject *Sender);
	void __fastcall BtUseCalcPosPointClick(TObject *Sender);
	void __fastcall BtTestYAxisRangeClick(TObject *Sender);

private:
	void __fastcall ShowYAxisValues(double YMin, double YMax);

public:
	__fastcall TMainForm(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TMainForm *MainForm;
//---------------------------------------------------------------------------
#endif
